Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QPageSetupDialog.PageSetupDialogOption

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QPageSetupDialog.PageSetupDialogOption

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QPageSetupDialog

    public static final class QPageSetupDialog.PageSetupDialogOption

extends java.lang.Enum
implements QtEnumerator

Used to specify options to the page setup dialog

See Also:
  Serialized Form

Field Summary
`static QPageSetupDialog.PageSetupDialogOption` | `DontUseSheet` Do not make the native print dialog a sheet.
`static QPageSetupDialog.PageSetupDialogOption` | `None` None of the options are enabled.

Method Summary
`static QPageSetupDialog.PageSetupDialogOptions` | `createQFlags(QPageSetupDialog.PageSetupDialogOption[] values)` This function creates a com.trolltech.qt.gui.QPageSetupDialog$PageSetupDialogOptions with the specified `com.trolltech.qt.gui.QPageSetupDialog$PageSetupDialogOption[]` QPageSetupDialog$PageSetupDialogOption values set.
`static QPageSetupDialog.PageSetupDialogOption` | `resolve(int value)` Returns the QPageSetupDialog$PageSetupDialogOption constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QPageSetupDialog.PageSetupDialogOption` | `valueOf(java.lang.String name)`
`static QPageSetupDialog.PageSetupDialogOption[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### None

    public static final QPageSetupDialog.PageSetupDialogOption None

  None of the options are enabled.

### DontUseSheet

    public static final QPageSetupDialog.PageSetupDialogOption DontUseSheet

  Do not make the native print dialog a sheet. By default on Mac OS X, the native dialog is made a sheet if it has a parent that can accept sheets and is visible. Internally, Mac OS X tracks whether a printing <em>session</em> and not which particular dialog should have a sheet or not. Therefore, make sure this value matches between the page setup dialog and the print dialog or you can potentially end up in a modal loop that you can't break.

Method Detail

### values

    public static QPageSetupDialog.PageSetupDialogOption[] values()

### valueOf

    public static QPageSetupDialog.PageSetupDialogOption valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QPageSetupDialog.PageSetupDialogOptions createQFlags(QPageSetupDialog.PageSetupDialogOption[] values)

  This function creates a com.trolltech.qt.gui.QPageSetupDialog$PageSetupDialogOptions with the specified `com.trolltech.qt.gui.QPageSetupDialog$PageSetupDialogOption[]` QPageSetupDialog$PageSetupDialogOption values set.

### resolve

    public static QPageSetupDialog.PageSetupDialogOption resolve(int value)

  Returns the QPageSetupDialog$PageSetupDialogOption constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD